Skip to navigation

Retrieve Benefits for EOR Contract

Returns the worker’s EOR benefits enrolment details. For organisations set up as white-label with Deel, the response also includes a short-lived link to redirect the worker, who doesn’t use the Deel app, to complete enrolment and manage their benefits. Call this endpoint again for a fresh link after it expires.

Token scopes: contracts:read, benefits:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract ID.

Response

Successfully retrieved the list of EOR contract benefits.
datalist of objectsOptional

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error